## palemoon 32.4.0

=== debian/changelog ===
palemoon (32.4.0-1.gtk3.mx23) mx; urgency=medium

  * Major development update, further improving web compatibility and bugfixes:
    - Implemented the BigInt primitive type for JavaScript. See implementatio
      notes.
    - Implemented Big(U)Int64 array support.
    - Implemented ergonomic brand checks for JavaScript class fields.
    - Aligned the Performance API with the Timeline v2 spec.
    - Aligned the handling of flex/grid percentages resolving against the
      parent with other browsers. See implementation notes.
    - Added or updated several user-agent overrides for problematic websites.
    - Added 2 preferences to allow users to disable CSS animations and
      transitions. See implementation notes.
    - Improved compatibility with MacOS 14.
    - Fixed an important, intermittent JavaScript crash related to
      garbage collection.
    - Fixed several crashes.
    - Fixed several debug build related issues.
    - Fixed an issue building on SunOS related to the spelling library.
    - Developer: Added ASan support for building with MSVC.
    - Added the .xll file extension to the executable extensions list.
    - Security issues addressed: several potential security issues that do not
      have a CVE number. DiD
    - UXP Mozilla security patch summary: 1 fixed, 3 DiD, 17 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Sep 2023 22:37:34 -0700
