## palemoon 32.4.0.1

=== debian/changelog ===
palemoon (32.4.0.1-1.gtk3.mx21) mx; urgency=medium

  * Point release update to address a critical security vulnerability:
    - Fixed a WebP decoder issue (CVE 2023-4863)

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 19 Sep 2023 20:48:03 -0700
