=== debian/control ===
--- 
+++ 
@@ -4,8 +4,6 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
-               gcc-11 [armhf],
-               g++-11 [armhf],
                debhelper (>= 10),
                libasound2-dev,
                libdbus-1-dev (>=0.60),
