## palemoon 32.4.1

=== debian/changelog ===
palemoon (32.4.1-1.gtk3.mx23) mx; urgency=medium

  * Import new upstream release:
    - Fixed an issue in BigInt typedArray costructors.
    - Added some safety checks for Performance Observers.
    - Fixed JSON BigInt regressions.
    - Fixed missing BigInt increment/decrement operations.
    - Added WASM sign extension opcodes.
    - Fixed an issue with dead Promise wrappers in JavaScript DiD
    - Fixed an issue with Alternative Services DiD
    - Fixed an issue with libvpx (address CVE-2023-5217) DiD

  *  Add fix-armhf-FTBFS.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Oct 2023 10:09:45 -0700
