## palemoon 32.5.1

=== debian/changelog ===
palemoon (32.5.1-1.gtk2.mx19) mx; urgency=medium

  * Minor development and security update:
    - Restricted protocol fallback for TLS. Pale Moon no longer (by default)
      allows TLS 1.3 to fall back to earlier protocol versions during the
      initial handshake.
    - Reverted the addition of browser.bookmarks.openInTabClosesMenu due to
      behavioral issues with menus. If you desire the intended behavior, please
      use an extension instead.
    - No longer supports the data: protocol inside SVG's <use> statements.
    - Improved secure context checking for iframes.
    - Fixed the handling of relative paths in URLs starting with multiple
      forward slashes.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Dec 2023 20:54:43 -0800
