=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk-3-dev,
+#               libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
@@ -33,7 +33,7 @@
 Provides: gnome-www-browser, www-browser, x-www-browser
 Conflicts: palemoon-nonsse2
 Replaces: palemoon-nonsse2
-Description: Goanna-based, efficient and easy to use web browser-GTK+3 build
+Description: Goanna-based, efficient and easy to use web browser-GTK+2 build
  Pale Moon offers you a browsing experience in a browser completely built from
  its own, independently developed source that has been forked off from
  Firefox/Mozilla code a number of years ago, with carefully selected features
