## palemoon 32.5.2

=== debian/changelog ===
palemoon (32.5.2-1.gtk3.mx23) mx; urgency=medium

  * Bugfix and security update:
    - Removed the standard Twitter/X user-agent override because they decided
      to block us on it.
    - Added preferences for the user to control whether or not the tab page
      title should be included in the window title or not. In Private Browsing
      mode, the default is now to not show the title in the window. This was
      done to avoid potential leakage to system logs (e.g. GNOME shell logs or
      Windows event logs) of websites visited through the recorded window
      title. The new preferences are privacy.exposeContentTitleInWindow and 
      privacy.exposeContentTitleInWindow.pbm for normal mode and Private
      Browsing mode, respectively.
    - Fixed several crashes in DOM and relating to dynamic JavaScript
      module imports.
    - Removed a restriction on Fetch preflight redirects, following a spec
      update.
    - Improved the handling of web workers if they get aborted mid-action.
    - Security issues addressed: CVE-2023-6863, CVE-2023-6858 and several
      others that do not have a CVE number.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Dec 2023 08:41:20 -0800

palemoon (32.5.1-1.gtk3.mx21) mx; urgency=medium

  * Minor development and security update:
    - Restricted protocol fallback for TLS. Pale Moon no longer (by default)
      allows TLS 1.3 to fall back to earlier protocol versions during the
      initial handshake.
    - Reverted the addition of browser.bookmarks.openInTabClosesMenu due to
      behavioral issues with menus. If you desire the intended behavior, please
      use an extension instead.
    - No longer supports the data: protocol inside SVG's <use> statements.
    - Improved secure context checking for iframes.
    - Fixed the handling of relative paths in URLs starting with multiple
      forward slashes.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Dec 2023 20:54:43 -0800
