## palemoon 33.0.0

=== debian/changelog ===
palemoon (33.0.0-1.gtk3.mx23) mx; urgency=medium

  * New milestone release, with many bugfixes and feature changes.
  * Update debian/copyright to 2024.
  * Delete debian/patches.
  * Use gcc-11 for armhf builds.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Feb 2024 10:51:49 -0800
