=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 10),
+               gcc-11 [armhf],
+               g++-11 [armhf],
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-#               libgtk-3-dev,
+               libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
@@ -33,7 +35,7 @@
 Provides: gnome-www-browser, www-browser, x-www-browser
 Conflicts: palemoon-nonsse2
 Replaces: palemoon-nonsse2
-Description: Goanna-based, efficient and easy to use web browser-GTK+2 build
+Description: Goanna-based, efficient and easy to use web browser-GTK+3 build
  Pale Moon offers you a browsing experience in a browser completely built from
  its own, independently developed source that has been forked off from
  Firefox/Mozilla code a number of years ago, with carefully selected features
