## palemoon 33.0.1

=== debian/changelog ===
palemoon (33.0.1-1.gtk3.mx23) mx; urgency=medium

  * Bugfix and security update:
    - Removed site-specific override for Amazon.com due to breakage.
    - Fixed script timeout values that were inadvertently overridden
      in branding.
    - Fixed an issue where empty MIME type registrations would break some
      parts of the UI.
    - (Linux only) Pasting URLs to content now by default does not navigate
      to that URL.
    - If content-paste-navigation is enabled (via middlemouse.contentLoadURL),
      navigation is now restricted to pasting to active body type elements
      (to prevent unwanted navigation when pasting URLs to input boxes,
      for example).
    - Fixed a problem with JS modules preventing ExportEntries from working.
    - (Linux only) Fixed a build issue when building with a system-supplied
      cairo library (unsupported).
    - Fixed an issue where workers could lock up the browser with SetInterval
      with an out-of-bounds (too small) value. This is now clamped to 4ms
      matching the HTML spec.
    - Fixed a few usability issues with the built-in developer tools.
    - Fixed a potential crash in web workers.
    - Fixed a potential overflow issue in image maps.
    - Fixed a potential security issue with multi-part/mixed content).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Mar 2024 09:04:14 -0800
