=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,13 @@
 	export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
 endif
 
-#ifneq (,$(filter $(distrel), bookworm))
-#ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
-#	export CC = gcc-11
-#	export CXX = g++-11
-#	export CPP = cpp-11
-#endif
-#endif
+ifneq (,$(filter $(distrel), bookworm))
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+	export CC = gcc-11
+	export CXX = g++-11
+	export CPP = cpp-11
+endif
+endif
 
 %:
 	dh $@
