## palemoon 33.0.2

=== debian/changelog ===
palemoon (33.0.2-1.gtk3.mx21) mx; urgency=medium

  * Minor security and stability release.
    - Fixed an issue with attributes on duplicate html tags.
    - Aligned the behavior of internal pointer structures to be more uniform.
    - Security issue addressed: CVE-2024-2610

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 30 Mar 2024 11:19:14 -0700
