=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 10),
-               gcc-11 [armhf],
-               g++-11 [armhf],
+#               g++-11 [armhf],
+#               gcc-11 [armhf],
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
