## palemoon 33.1.1

=== debian/changelog ===
palemoon (33.1.1-1.gtk3.mx23) mx; urgency=medium

  * Minor bugfix release:
    - Made the nonce length for http digest auth configurable.
    - Fixed various potential issues with font loading, parsing and handling.
    - Cleaned up error reporting for workers and normalized error messages.
    - Security issues addressed: CVE-2024-4772 DiD, CVE-2024-4771,
      CVE-2024-4769 and CVE-2024-4770.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Jun 2024 12:09:48 -0700
