## palemoon 33.2.0

=== debian/changelog ===
palemoon (33.2.0-1mx23) mx; urgency=medium

  * Import upstream 33.2.0 release.
  * Drop gtk2 builds and drop the gtk2/3 versioning.
  * Drop autoconf2.13 and libdbus-1-dev as build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Jul 2024 10:58:20 -0700
