=== debian/control ===
--- 
+++ 
@@ -3,12 +3,10 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
-Build-Depends: autoconf2.13,
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 10),
                g++-11 [armhf],
                gcc-11 [armhf],
                libasound2-dev,
-               libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
