## palemoon 33.2.1

=== debian/changelog ===
palemoon (33.2.1-1mx23) mx; urgency=medium

  * Import upstream 33.2.1 release:
    - This is a bugfix and security update.
    - Fixed a crash in CSS grid layout.
    - Set hidden HTML elements to actually always be hidden.
    - Updated NSS to 3.90.3.
    - Updated SQLite to 3.46.0.
    - Fixed an issue with setting of cookies.
    - Fixed an issue in Linux IPC code.
    - Fixed an issue with DNS prefetching (disabled by default).
    - Security issues addressed: CVE-2024-6611, CVE-2024-6612 DiD and several
      others (mostly DiD) that do not have a CVE number assigned.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 Jul 2024 21:59:36 -0700
