## palemoon 33.3.0

=== debian/changelog ===
palemoon (33.3.0-1mx23) mx; urgency=medium

  * Import upstream 33.3.0 major development release:
    - Implemented the bulk of the CSS "cascade layers" spec (@layer{}). This
      implementation is not 100% complete yet, but should satisfy common use of
      CSS cascade layers on the web.
    - Implemented support for Sec-Fetch-* headers, implementing another
      mechanism to deal with site security. 
    - Added support for FFmpeg 7.0 / libavcodec 61 (Linux).
    - Pale Moon will now look up hosts in DNS ahead of time to make page
      navigation smoother. See implementation notes.
    - Pale Moon will now block access to the reserved address 0.0.0.0 on
      non-Windows operating systems. See implementation notes.
    - Dev: Aligned rounding behavior and precision ranges of toFixed and
      related functions with the spec. See implementation notes.
    - Dev: Aligned isTrusted for PostMessage and BroadcastChannel with
      expected values on the web. See implementation notes.
    - Dev: Added the navigator.webdriver attribute for web compatibility
      (always false in Pale Moon as we do not support browser automation APIs).
    - Re-implemented the Durstenfeld shuffle for plugin enumeration that was
      unfortunately dropped with one of our past rebases, to strengthen
      fingerprinting resistance.
    - Fixed an issue with character clusters (e.g. for text selection)
      resulting from a regression surrounding our improvements for emoji
      handling.
    - Fixed an issue with setting DOM color values. DiD
    - Slightly improved password form handling, detecting previously
      unsupported field orders.
    - Updated NSS to 3.90.4.
    - Updated our emoji font to 15.1.2 (Unicode 15.1 with some additional
      extras/updates).
    - Code cleanup:
      - Removed unused code related to the (incomplete) FoxEye experiment.
      - Removed support code for LibAV and (very) old versions of FFmpeg.
        We require libavcodec 58 or later (FFmpeg 4.0+) from this version
        forward (Linux).
      - Removed click event dispatching code that is no longer relevant.
      - Cleaned up internal macro use in CSS code (this does not impact any
        exposed APIs or code).
      - Removed the hidden network.dns.disablePrefetchFromHTTPS pref. DNS
        prefetching should not be treated differently for http and https.
    - Security issues addressed: CVE-2024-7531.

  * d/control: add alternative dependency for libavcodec61, remove for versions
               less than 58.

  * d/rules: add SSE2 support for amd64 and i386 arches.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Aug 2024 15:37:55 -0700
