=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 Package: palemoon
 Architecture: any
-Depends: libavcodec57 | libavcodec-extra57 | libavcodec58 | libavcodec-extra58 | libavcodec59 | libavcodec-extra59 | libavcodec60 | libavcodec-extra60,
+Depends: libavcodec58 | libavcodec-extra58 | libavcodec59 | libavcodec-extra59 | libavcodec60 | libavcodec-extra60 | libavcodec61 | libavcodec-extra61,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: gnome-www-browser, www-browser, x-www-browser
