## palemoon 33.3.1

=== debian/changelog ===
palemoon (33.3.1-1mx21) mx; urgency=medium

  * Import upstream 33.3.1 minor security and bugfix update:
    - Backed out support for FFmpeg 7.0/libavcodec 61 (Linux) due to it causing
      a major regression in WebAudio (broken on all platforms). This is being
      worked on to re-land at a later date.
    - Restricted the NotifyPaintEvent interface to chrome code only; there is
      no reason (other than potential tracking/fingerprinting) to have this
      accessible from content.
    - Fixed a potentially exploitable issue in JavaScript (FetchName).
    - Fixed a code correctness issue in XPConnect when creating sandboxes. DiD
    - Added a warning for using externally handled usenet protocols.
    - Security issues addressed: CVE-2024-8383 and CVE-2024-8381.

  * d/control: remove alternative dependency for libavcodec61 until support
               returns.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Sep 2024 08:07:17 -0700
