=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: debhelper (>= 10),
-               g++-11 [armhf],
-               gcc-11 [armhf],
+               g++-11 [armhf]| g++-10 [armhf],
+               gcc-11 [armhf]| gcc-10 [armhf],
                libasound2-dev,
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
@@ -27,7 +27,7 @@
 
 Package: palemoon
 Architecture: any
-Depends: libavcodec58 | libavcodec-extra58 | libavcodec59 | libavcodec-extra59 | libavcodec60 | libavcodec-extra60 | libavcodec61 | libavcodec-extra61,
+Depends: libavcodec58 | libavcodec-extra58 | libavcodec59 | libavcodec-extra59 | libavcodec60 | libavcodec-extra60,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: gnome-www-browser, www-browser, x-www-browser
@@ -44,3 +44,6 @@
  Pale Moon requires a processor that supports the SSE2 instruction set.
  Run "/proc/cpuinfo" in a terminal, and look for sse2 in the flags to ensure
  that your processor supports it.
+ .
+ Though Palemoon has removed support for older non-AVX processors on their 
+ official builds as of 33.3.0, this MX version still supports SSE2 for x86.
