## palemoon 33.4.0.1

=== debian/changelog ===
palemoon (33.4.0.1-1mx23) mx; urgency=medium

  * Import upstream 3.4.0.1 development, bugfix and security release:
    - Introduced the "ghostbuster" concept; this is an automated internal
      mechanism to attempt cleanup of particularly problematic web content
      after a tab or window is closed. See implementation notes.
    - Added support for the PROT_MPROTECT security feature on targets that use
      it (notably PaX and NetBSD).
    - Implemented preferences to give the user control over the Same-Origin
      Policy (SOP) and CORS preflight. See implementation notes.
    - Improved buildability on NetBSD and Altivec architectures.
    - Fixed building issues on Apple Silicon Mac with XCode 16.
    - Added workarounds for non-standard MSE/WebM/VPx encoding on YouTube
      that could cause video buffering and halting issues.
    - Dev: Changed the default credentials mode for module scripts from 'omit'
      to 'same-origin', aligning with mainstream.
    - Dev: Implemented getTransform and setTransform with DOMMatrix arguments.
    - Dev: Implemented ES2023 Hashbang grammar proposal.
    - Fixed an issue with JavaScript's StructuredClone.
    - Security issues addressed: CVE-2024-9396.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Oct 2024 14:50:35 -0700

palemoon (33.3.1-1mx23) mx; urgency=medium

  * Import upstream 33.3.1 minor security and bugfix update:
    - Backed out support for FFmpeg 7.0/libavcodec 61 (Linux) due to it causing
      a major regression in WebAudio (broken on all platforms). This is being
      worked on to re-land at a later date.
    - Restricted the NotifyPaintEvent interface to chrome code only; there is
      no reason (other than potential tracking/fingerprinting) to have this
      accessible from content.
    - Fixed a potentially exploitable issue in JavaScript (FetchName).
    - Fixed a code correctness issue in XPConnect when creating sandboxes. DiD
    - Added a warning for using externally handled usenet protocols.
    - Security issues addressed: CVE-2024-8383 and CVE-2024-8381.

  * d/control: remove alternative dependency for libavcodec61 until support
               returns.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Sep 2024 08:07:17 -0700
