## palemoon 33.4.1

=== debian/changelog ===
palemoon (33.4.1-1mx23) mx; urgency=medium

  * Import upstream 3.4.1 minor bugfix and security release:
    - Improved handling of multipart/mixed documents. 
    - Addressed CVE-2024-10463.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Nov 2024 19:12:40 -0800
