## palemoon 33.5.0

=== debian/changelog ===
palemoon (33.5.0-1mx23) mx; urgency=medium

  * Import upstream 33.5.0 development, bugfix and security release:
    - Implemented Regular Expression "match indices" (/d) feature.
    -  Added a way to programmatically clear the DNS cache in the browser, and
       added a button to the UI for it in about:networking.
    -  Updated handling of referrer policies to adhere to the updated spec.
    -  CSS font variations keywords no longer throw an error. See
       implementation notes.
    -  CSS border-radius will now also apply to element outlines.
    -  Improved the display of amount of cached web content in preferences when
       cache is being cleared.
    -  Updated NSS to 3.90.5 (unofficial) to pick up some security fixes.
    -  Refreshed the built-in list of effective top-level domains.
    -  Fixed several application crashes.
    -  Reduced unnecessary debug/informative messages in release builds (WebGL
       and CSP).
    -  Backed out building against ffmpeg 6.0 and ffvpx 6.0 for causing a video
       playback regression on full-range videos (levels 0-255).
    -  Cleaned up a large amount of leftover Boot2Gecko code, simplifying code
       paths throughout the code base.
    -  From this version forward we also publish language packs for Persian
       (Farsi), Hindi, Kannada and Vietnamese.
    -  Security issues addressed: CVE-2024-11693 and CVE-2024-11704 (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 06 Dec 2024 20:28:24 -0800
