## palemoon 33.5.1

=== debian/changelog ===
palemoon (33.5.1-1mx23+avx) mx; urgency=medium

  * Fix "avs" typo. D'oh!

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jan 2025 20:07:21 -0800

palemoon (33.5.1-1mx23+avs) mx; urgency=medium

  * Create a separate AVX-enabled amd64 package.

  * Import upstream 33.5.1, small bugfix and security release:
    - Changed the way cookies are handled internally to fix an issue with
      cookie database corruption as a result of updates to domain suffixes.
    - Fixed an issue with Alternative-Services protocol negotiation.
    - Fixed a potential crash scenario with Structured Clone operations. DiD
    - Fixed a potential issue with line breaking if out of memory.
    - Fixed a rare crash with opportunistic encryption.
    - Minor code cleanup.
    - Security issues addressed: CVE-2025-0239 and CVE-2025-0238.
    
  * Update d/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jan 2025 00:59:55 -0800
