=== debian/control ===
Source: palemoon
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
Build-Depends: debhelper (>= 10),
               libasound2-dev,
               libdbus-glib-1-dev (>= 0.60),
               libfontconfig1-dev,
               libgconf2-dev (>= 1.2.1),
               libgtk-3-dev,
               libgtk2.0-dev (>= 2.18),
               libpulse-dev,
               libx11-xcb-dev,
               libxt-dev,
               mesa-common-dev,
               pkg-config,
               python2.7,
               unzip,
               yasm,
               zip
Standards-Version: 3.9.6
Homepage: http://www.palemoon.org/

Package: palemoon
Architecture: amd64
Depends: libavcodec58 | libavcodec-extra58 | libavcodec59 | libavcodec-extra59 | libavcodec60 | libavcodec-extra60,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gnome-www-browser, www-browser, x-www-browser
Description: Goanna-based, efficient & easy to use web browser-GTK+3/AVX build
 Pale Moon offers you a browsing experience in a browser completely built from
 its own, independently developed source that has been forked off from
 Firefox/Mozilla code a number of years ago, with carefully selected features
 and optimizations to improve the browser's stability and user experience,
 while offering full customization and a growing collection of extensions and
 themes to make the browser truly your own.
 .
 This Pale Moon build requires a processor that supports the AVX instruction
 set. Run "/proc/cpuinfo" in a terminal, and look for AVX in the flags to
 ensure that your processor supports it.
