## palemoon 33.6.0

=== debian/changelog ===
palemoon (33.6.0-1mx23) mx; urgency=medium

  * Import upstream 33.6.0 development, bugfix and security release.:
    Changes/fixes:
    - Implemented a content sniffer for ADTS and raw AAC audio.
    - Implemented AbortSignal.abort() and stub AbortSignal.timeout().
    - Unprefixed the :modal CSS pseudo-class and exposed it to content.
    - Improved efficiency and performance of the Cycle Collector.
    - Added a check for explicit expectance of a percentage value in CSS HSL
      for the S and L components.
    - Updated the cookie storage database to no longer use BaseDomain. See
      implementation notes.
    - Updated CSS grid handling to no longer apply auto min-sizing when flex
      max-sizing (browser parity).
    - Updated the root certificates in the internal trust store.
    - Updated the Public Suffix List (eTLD) in the browser.
    - Removed no longer specced URL Constructor(DOMString url, URL base).
    - Restored unofficial branding to what it was before ("New Moon" instead
      of "Browser").
    - Changed the default Firefox Compatibility user-agent version to 115.0.
    - Fixed an issue where cloned <audio> or <video> elements would not respect
      the original element's muted state.
    - Fixed a number of bugs and spec compliance issues in WebCrypto.
    - Fixed installer application naming issue causing failure to detect
      running application.
    - Fixed a crash when Interval handlers are present in scripts that are
      automatically terminated due to excessive runtime.
    - Fixed a crash in JS Structured Cloning when the input would be bogus
      (CloudFlare-triggered crash).
    - Fixed a crash in the XSLT stylesheet importing code.
    - Updated NSS to 3.90.6 (custom) to pick up several security fixes.
    - Security issues addressed: CVE-2025-1009.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Feb 2025 10:05:05 -0800

palemoon (33.5.1-1mx23) mx; urgency=medium

  * Import upstream 33.5.1, small bugfix and security release:
    - Changed the way cookies are handled internally to fix an issue with
      cookie database corruption as a result of updates to domain suffixes.
    - Fixed an issue with Alternative-Services protocol negotiation.
    - Fixed a potential crash scenario with Structured Clone operations. DiD
    - Fixed a potential issue with line breaking if out of memory.
    - Fixed a rare crash with opportunistic encryption.
    - Minor code cleanup.
    - Security issues addressed: CVE-2025-0239 and CVE-2025-0238.
    
  * Update d/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jan 2025 00:59:55 -0800
