## palemoon 33.6.0.1

=== debian/changelog ===
palemoon (33.6.0.1-1mx21) mx; urgency=medium

  * Import upstream 33.6.0.1 bugfix release.:
    - Disabled CSP reporting temporarily to work around memory issues caused by
      CloudFlare's scripting. While CSP reporting is important to inform
      webmasters of issues with their content security policies, not having the
      browser eat up all memory is more critical. We do intend to re-enable
      this when the issue is resolved on CloudFlare's side.
    - Improved CSS grid performance to avoid exponential calculations and
      reflows caused by CloudFlare's scripting. This wasn't a bug, per se, but
      could easily lock up with bad scripting if called recursively.
    - Added a few other small fixes that are tangentially related to the code
      changes made.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Feb 2025 22:42:56 -0800
