## palemoon 33.6.1

=== debian/changelog ===
palemoon (33.6.1-1mx23) mx; urgency=medium

  * Import upstream 33.6.1 security, bugfix, and stability release.:
    - Simplified some WASM code generation in the Ion JIT compiler.
    - Fixed a crash in loading external resource maps.
    - Disabled potentially unsafe attempts at recovering JIT operations.
    - Fixed some minor linking issues in about:rights.
    - Updated the embedded emoji font to fix incorrect display of some of the
      wheelchair emoji.
    - Security issues addressed: CVE-2025-1934 (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Mar 2025 18:51:04 -0700
