## palemoon 33.7.0

=== debian/changelog ===
palemoon (33.7.0-1mx23) mx; urgency=medium

  * Import upstream 33.7.0 development, bugfix and security release:
    - Implemented CSS two-location color stop logic. This allows for 
      two-location color stops (`color x% y%`) in gradients, which is shorthand
      for `color x%, color y%` where both colors are equal.
    - Our minimum GCC version requirement to build is now 9.1.
    - Improved channel handling when CSP blocks network redirects.
    - Implemented several fixes for CORS preflight requests.
    - Added explicit whitelisting from CSP content loading of 
      javascript: scheme URLs.
    - Updated the ffvpx library to 6.0.1, this time preventing video color 
      range regressions. An update to 6.0 was previously backed out in 33.5.0.
    - Updated the JPEG-XL library to 0.11.1 to pick up several fixes and 
      improve decoding compatibility of jxl files.
    - Updated the SQLite library to 3.49.1.
    - Fixed a spec compliance issue with DOMRect and DOMQuad returning 0 if NaN
      was present. We now return NaN in that case, per spec.
    - Fixed a spec compliance issue with NTLM authentication. We now compute
      Channel Binding Hashes using the certificate signature's hash algorithm,
      per spec.
    - Note that particularly weak algorithms are not used and SHA256 will be
      used as a minimum, instead, in those cases.
    - Fixed a buildability issue on Mac with XCode 16.3.
    - Added some additional safety checking to SharedArrayBuffers.
    - Added some additional safety checking to XSLT compilation and
      transformation.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Apr 2025 13:50:07 -0700
